#!/usr/bin/ksh
#set -x
#
#=============================================================================
# Nom            :      
# Projet         :      
#
# Repertoires    :      script -> /usr/local/bin
#
# Cree le        :      12/02/2002
# Version        :      0.1
# Cree par       :      Jean Philippe BOCQUENET
# Objet          :
# Appel(s)       :      commande en ligne
# Environnements :      HP-UX 9.05 10.20
#                :      Solaris 5.3 5.4 5.5 5.5.1 5.6
#                :      SunOs 4.1.3
#                :      Aix 3.x 4.2 4.3
#                :      Irix 5.3
#                :      Linux 2.2 2.4
# Parametre(s)   :      
# Codes retour   :      = 0 => OK
#                :      = 1 => KO
#=============================================================================
# Modification(s)
#-----------------------------------------------------------------------------
# JJ/MM/AA - QUI
#       QUOI
# 
#=============================================================================
 
#=============================================================================
# Initialisation des variables utilisees dans le script
# 
# Code retour   : 0 => OK
#               : 1 => KO
#=============================================================================
 
 
REP_PROJETS=/data
REP_PROCD=/datacd
REP_ACL=/sys_admin/projects

ADMIN=ca_appli

SERVER_USER=ASEuser
SERVER_DATA=ASEdata
SERVER_DATACD=ASEdata

rm liste.projet.txt
rm liste.acl.txt
rm liste.proglobal.txt

rsh -l ${ADMIN} ${SERVER_DATA} ls ${REP_PROJETS} | while read ligne
        do
		echo "acl_${ligne}.lis" >> liste.projet.txt
	done

rsh -l ${ADMIN} ${SERVER_DATACD} ls ${REP_PROCD} | while read ligcd
        do
                echo "acl_${ligcd}.lis" >> liste.projet.txt
        done
 

rsh -l ${ADMIN} ${SERVER_DATA} ls ${REP_ACL} | while read ligacl
        do
        	echo "${ligacl}" >> liste.acl.txt
        done


sort liste.projet.txt > liste.proglobal.txt


echo "\n\nCes repertoires ne possedent pas d'ACL :\n"
diff liste.acl.txt liste.proglobal.txt | grep lis | grep -v lis_ | grep ">" | awk -F_ '{print $2}' | awk '{ FS = "lis[ \t]"} {print $1}'


echo "\n\nCes ACL n'ont pas de compte projet :\n"
diff liste.acl.txt liste.proglobal.txt | grep lis | grep -v lis_ | grep "<" | awk -F"< " '{print $2}'

