#!/usr/bin/ksh
#                        
#				7upquota.ksh - Feb. 2000

# Purpose
# =======
# This script initialize specific group quota from a template file.
# It is called by create_grp.ksh with next parameter entries
#
# Parameter 1 : Quota template file
# Parameter 2 : NIS group name
#
# Release
# =======
# 23/02/2000 : Beta version (by DCC@ASI)
# 27/06/2000 : Script is ow localized in /sys_admin/scripts_admin
#
########################################

# $$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$ SETTING UP THE ACLs

# Ensure return value accuracy
# ----------------------------
export LANG=C

# Misc statements
# ---------------
travpath="/tmp"
binpath="/usr/sbin"
tmpfile=$(basename $0)
logfile=${tmpfile%.*}.log

# Command line parameters control
# -------------------------------
if [ $# -lt 2 ]
then
	print "\nIncorrect line command parameters...\n"
	return
fi

# Command line parameters assignation
# -----------------------------------
grpproto=$1
nisgrpname=$2

${binpath}/edquota -p ${grpproto} -g ${nisgrpname} > ${travpath}/${logfile}

return
