#!/usr/bin/ksh
#set -x
#
#=============================================================================
# Nom            : 	appli_quota_grp.ksh
# Projet         : 	Creation de compte utilisateur dans les NIS
#
# Repertoires    : 	script -> /usr/local/bin
#
# Cree le        : 	26/03/2002
# Version	 : 	1.0
# Cree par       : 	Jean Philippe BOCQUENET
# Objet          : 	Creer un compte utilisateur dans les NIS
# Appel(s)       : 	commande en ligne
# Environnements : 	HP-UX 9.05 10.20
#                : 	Solaris 5.3 5.4 5.5 5.5.1 5.6
#                : 	SunOs 4.1.3
#                : 	Aix 3.x 4.2 4.3
#                : 	Irix 5.3
#		 :	Linux 2.2 2.4
# Parametre(s)   : 	$1=logon $2=group $3="NOM Prenom Telephone" $6=Quota
# Codes retour   : 	= 0 => OK
#                : 	= 1 => KO
#=============================================================================
# Modification(s)
#-----------------------------------------------------------------------------
# JJ/MM/AA - QUI
#       QUOI
# 
#=============================================================================

#=============================================================================
# Appel aux librairies Alcatel
#=============================================================================
 
. ./libalcatel.so
. ./libalcatools.so

#=============================================================================
# Initialisation des variables utilisees dans le script
# 
# Code retour   : 0 => OK
#               : 1 => KO
#=============================================================================

FICHIER=$1

export GRP
export QUOTA
export ligne
 
#=============================================================================
# Nom du script shell
#=============================================================================
PGM=`basename $0`

#=============================================================================
# Test la presence des variables a l'entree
#=============================================================================
if [ $# -lt 1 ]
then
     echo "\n\t Utilisation:   ${PGM} fichier"
     echo "\n\t Exemple:       ${PGM} quota_unix.txt"
     exit 1;
fi

# Trace de l'execution
#=============================================================================
REP_LOG=/tmp
FIC_LOG=`echo ${PGM} | cut -f 1 -d "."`.log
#exec </dev/null >>${REP_LOG}/${FIC_LOG} 2>&1

#=============================================================================
# Gestion des Quotas du user
#=============================================================================


        while read ligne;
        do
        	GRP=`echo ${ligne} | awk '{print $1}'`
		QUOTA=`echo ${ligne} | awk '{print $2}'` 


	case ${QUOTA} in
		100000)    ETALON=g100m ;;
		300000)    ETALON=g300m ;;
        	500000)    ETALON=g500m ;;
        	700000)    ETALON=g700m ;;
        	1000000)   ETALON=g1000m ;;
        	1500000)   ETALON=g1500m ;;
        	2000000)   ETALON=g2000m ;;
        	2500000)   ETALON=g2500m ;;
        	3000000)   ETALON=g3000m ;;
        	5000000)   ETALON=g5000m ;;
		*)	   ETALON=g100m
		   	   echo "\n\t - Quota inexistant pour cette valeur..." ;;
	esac

	echo "\n\t - Application du quota de ${QUOTA} octets au group ${GRP}"

	rsh -l ${ADMIN} ${SERVER_DATA} "/usr/sbin/edquota -p ${ETALON} -g ${GRP}"


        done < ${FICHIER}

#=============================================================================
# Fin du traitement
#=============================================================================
exit 0;
#
# eof
#=============================================================================

