#!/usr/bin/ksh
#set -x
#
#=============================================================================
# Nom            :      change_acl.ksh
# Projet         :      
#
# Repertoires    :      script -> /usr/local/bin
#
# Cree le        :      28/03/2002
# Version        :      0.1
# Cree par       :      Jean Philippe BOCQUENET
# Objet          :
# Appel(s)       :      commande en ligne
# Environnements :      HP-UX 9.05 10.20
#                :      Solaris 5.3 5.4 5.5 5.5.1 5.6
#                :      SunOs 4.1.3
#                :      Aix 3.x 4.2 4.3
#                :      Irix 5.3
#                :      Linux 2.2 2.4
# Parametre(s)   :      $1=repertoire a modifier, $2=ACL a ajouter, $3=ACL a enlever
# Codes retour   :      = 0 => OK
#                :      = 1 => KO
#=============================================================================
# Modification(s)
#-----------------------------------------------------------------------------
# JJ/MM/AA - QUI
#       QUOI
# 
#=============================================================================
 
#=============================================================================
# Initialisation des variables utilisees dans le script
# 
# Code retour   : 0 => OK
#               : 1 => KO
#=============================================================================
 
DIRECTORY=$1

#=============================================================================
# Nom du script shell
#=============================================================================
PGM=`basename $0`
 
#=============================================================================
# Test la presence des variables a l'entree
#=============================================================================
if [ $# -lt 1 ]
then
     echo "\n\t Utilisation:   ${PGM} repertoire_ou_fichier"
     echo "\n\t Exemple:       ${PGM} /outils/test\n"
     exit 1;
fi
 
# Trace de l'execution
#=============================================================================
REP_LOG=${TEMP}
FIC_LOG=`echo ${PGM} | cut -f 1 -d "."`.log
#exec </dev/null >>${REP_LOG}/${FIC_LOG} 2>&1

#=============================================================================
# chercher dans les ACL
#=============================================================================

find ${DIRECTORY} -print | while read ITEM
	do
	   ACL=`getacl "${ITEM}" | egrep -v "#" | egrep -v ::`
	   if [ "${ACL}" ]
	   then
	   	echo ${ITEM} ";" ${ACL} 
	   fi
	done

#
# eof
#=============================================================================
