#!/usr/bin/ksh
#set -x
#
#=============================================================================
# Nom            :      change_acl.ksh
# Projet         :      
#
# Repertoires    :      script -> /usr/local/bin
#
# Cree le        :      28/03/2002
# Version        :      0.1
# Cree par       :      Jean Philippe BOCQUENET
# Objet          :
# Appel(s)       :      commande en ligne
# Environnements :      HP-UX 9.05 10.20
#                :      Solaris 5.3 5.4 5.5 5.5.1 5.6
#                :      SunOs 4.1.3
#                :      Aix 3.x 4.2 4.3
#                :      Irix 5.3
#                :      Linux 2.2 2.4
# Parametre(s)   :      $1=repertoire a modifier
# Codes retour   :      = 0 => OK
#                :      = 1 => KO
#=============================================================================
# Modification(s)
#-----------------------------------------------------------------------------
# JJ/MM/AA - QUI
#       QUOI
# 
#=============================================================================
 
#=============================================================================
# Initialisation des variables utilisees dans le script
# 
# Code retour   : 0 => OK
#               : 1 => KO
#=============================================================================
 
DIRECTORY=$1

#=============================================================================
# Nom du script shell
#=============================================================================
PGM=`basename $0`
 
#=============================================================================
# Test la presence des variables a l'entree
#=============================================================================
if [ $# -lt 1 ]
then
     echo "\n\t Utilisation:   ${PGM} repertoire_ou_fichier"
     echo "\n\t Exemple:       ${PGM} /outils/test\n"
     exit 1;
fi
 
# Trace de l'execution
#=============================================================================
REP_LOG=${TEMP}
FIC_LOG=`echo ${PGM} | cut -f 1 -d "."`.log
#exec </dev/null >>${REP_LOG}/${FIC_LOG} 2>&1


#=============================================================================
# Ajout d'un utilisateur
#=============================================================================

find ${DIRECTORY} -print | while read ITEM
	do
		for ITEM_ACL in `getacl "${ITEM}" | egrep -v "#" | egrep -v ::`
		do
		  USER_ACL=`echo ${ITEM_ACL} | awk -F : '{print $2}'`
		  DROITS_ACL=`echo ${ITEM_ACL} | awk -F : '{print $3}'` 


echo ${USER_ACL}

		case ${USER_ACL} in
			admin)	 	USER_ADD="group:DSI:${DROITS_ACL}"   ;;
			analyse) 	USER_ADD="group:DRT:${DROITS_ACL}"   ;;
			antennes)	USER_ADD="group:CRA:${DROITS_ACL}"   ;;
			optique) 	USER_ADD="group:PO:${DROITS_ACL}"   ;;
			structur)	USER_ADD="group:PMIS:${DROITS_ACL}"   ;;
			telecom)	USER_ADD="group:DSI:${DROITS_ACL}"   ;;
			thermiq)	USER_ADD="group:PMIT:${DROITS_ACL}"
					setacl -u "group:MI:${DROITS_ACL}" "${ITEM}"
					if [ -d "${ITEM}" ]
					then
                        			setacl -D -u "group:MI:${DROITS_ACL}" "${ITEM}"
                        			setacl -d -u "group:MI:${DROITS_ACL}" "${ITEM}"
					fi
					;;	
					
			c053036) 	USER_ADD="group:mgr_th:${DROITS_ACL}"   ;;
                        c09321)         USER_ADD="group:mgr_th:${DROITS_ACL}"   ;;
                        c112160)        USER_ADD="group:mgr_th:${DROITS_ACL}"   ;;
			c053069) 	USER_ADD="group:mgr_ant:${DROITS_ACL}"  ;;
                        c374916)        USER_ADD="group:mgr_ant:${DROITS_ACL}"  ;;
			c09969)  	USER_ADD="group:mgr_st:${DROITS_ACL}"   ;;
			c100631) 	USER_ADD="group:mgr_ana:${DROITS_ACL}"  ;;
			c11095)  	USER_ADD="group:mgr_rech:${DROITS_ACL}" ;;
#			galouya) 	USER_ADD="user:galouya:${DROITS_ACL}" ;;
#			weilln1) 	USER_ADD="user:weilln1:${DROITS_ACL}" ;;
			*)       	USER_ADD="${ITEM_ACL}" break ;;
		esac

		echo ${USER_ADD}

            # Ajout d'un user
                setacl -u ${USER_ADD} "${ITEM}"
#           # Destruction d'un user
#               setacl -x ${OWNER1}:${USER_A_REMPLACER}:${DROITSOWNER1} "${ITEM}"


		if [ -d "${ITEM}" ]
		then
		# Appliquer les ACL sur un directory ---------------

                        # Ajout d'un user
				setacl -D -u ${USER_ADD} "${ITEM}"
				setacl -d -u ${USER_ADD} "${ITEM}"

#                        # Destruction d'un user
#				setacl -D -x ${OWNER1}:${USER_A_REMPLACER}:${DROITSOWNER1} "${ITEM}"
#				setacl -d -x ${OWNER1}:${USER_A_REMPLACER}:${DROITSOWNER1} "${ITEM}"
		fi
 		done
	echo ${ITEM}
	done

#
# eof
#=============================================================================
