#!/usr/bin/ksh
#set -x
#
#=============================================================================
# Nom            :      purge_ACL.ksh
# Projet         :      
#
# Repertoires    :      script -> /usr/local/bin
#
# Cree le        :      08/04/2002
# Version        :      0.1
# Cree par       :      Jean Philippe BOCQUENET
# Objet          :
# Appel(s)       :      commande en ligne
# Environnements :      HP-UX 9.05 10.20
#                :      Solaris 5.3 5.4 5.5 5.5.1 5.6
#                :      SunOs 4.1.3
#                :      Aix 3.x 4.2 4.3
#                :      Irix 5.3
#                :      Linux 2.2 2.4
# Parametre(s)   :      $1=repertoire a modifier
# Codes retour   :      = 0 => OK
#                :      = 1 => KO
#=============================================================================
# Modification(s)
#-----------------------------------------------------------------------------
# JJ/MM/AA - QUI
#       QUOI
# 
#=============================================================================
 
#=============================================================================
# Initialisation des variables utilisees dans le script
# 
# Code retour   : 0 => OK
#               : 1 => KO
#=============================================================================
 
DIRECTORY=$1

#=============================================================================
# Nom du script shell
#=============================================================================
PGM=`basename $0`
 
#=============================================================================
# Test la presence des variables a l'entree
#=============================================================================
if [ $# -lt 1 ]
then
     echo "\n\t Utilisation:   ${PGM} repertoire_ou_fichier"
     echo "\n\t Exemple:       ${PGM} /export/data/test\n"
     exit 1;
fi
 
# Trace de l'execution
#=============================================================================
REP_LOG=${TEMP}
FIC_LOG=`echo ${PGM} | cut -f 1 -d "."`.log
#exec </dev/null >>${REP_LOG}/${FIC_LOG} 2>&1


#=============================================================================
# Ajout d'un utilisateur
#=============================================================================

find ${DIRECTORY} -print | while read ITEM
	do
		for ITEM_ACL in `getacl "${ITEM}" | egrep -v "#" | egrep -v ::`
		do
		  TYPE_ACL=`echo ${ITEM_ACL} | awk -F : '{print $1}'`
		  USER_ACL=`echo ${ITEM_ACL} | awk -F : '{print $2}'`
		  DROITS_ACL=`echo ${ITEM_ACL} | awk -F : '{print $3}'` 

		  echo ${USER_ACL}

                  cat "_purge_groupe_r.txt" | grep -v "#" | while read LIGNE;
                  do
#                	printf "%b" "."
                	OLD_GRP=`echo ${LIGNE} | awk -F: '{print $3}'`
 
                	if [ ${OLD_GRP} = ${USER_ACL} ]
                	then
                 		if [ -d "${ITEM}" ]
                		then
                                                echo "Destruction dans le repertoire de l ACL : ${ITEM_ACL}"
                               			setacl -D -x "${ITEM_ACL} "${ITEM}"
                               			setacl -d -x "${ITEM_ACL} "${ITEM}"
				else
                                                echo "Destruction dans le fichier de l ACL : ${ITEM_ACL}"
						setacl -x ${ITEM_ACL} "${ITEM}"
                		fi
			fi
                  done
		done
	done

#
# eof
#=============================================================================
