#!/bin/ksh 
############################################################################
#*
#* SCRIPT      : save_quotas_castore02.ksh
#* ------------
#* VERSION     : 1.1
#* ------------
#* DESCRIPTION : Sauvegardes des quotas home et data sur Castore02
#* ------------  
#*
############################################################################


# Nom du script shell
#-----------------------------------------------------------------------------
#
PGM=`basename $0`

#
# Mode debug
#-----------------------------------------------------------------------------
#
#SHELL_DEBUG=1
if [ $SHELL_DEBUG ]
 then
        { set -v ; set -x; }
fi

#
# Trace de l'execution
#---------------------
#
REP_LOG=/tmp
FIC_LOG=`echo $PGM | cut -f 1 -d "."`.log
exec </dev/null >>$REP_LOG/$FIC_LOG 2>&1

#
# Variables
# ---------
REP_QUOTAS=/export/softs/sys_admin/configuration/quotas_castore02
REP=$1
DATE=`date +%Y%m%d`

echo "\n********************************************************************************"
echo " `date | cut -d \" \" -f 1-5` -I- Debut de traitement"
if [ $# -lt 1 ]
then
     echo " `date | cut -d \" \" -f 1-5` -F- Utilisation: save_quotas_castore02.ksh home|data"
     echo " `date | cut -d \" \" -f 1-5` -F- Exemple: save_quotas_castore02.ksh home"
     echo " `date | cut -d \" \" -f 1-5` -I- Fin de traitement"
     exit 1;
fi

# Programme principal
# -------------------

mv ${REP_QUOTAS}/${REP} ${REP_QUOTAS}/${REP}.${DATE} > /dev/null 2>&1

case ${REP} in
'home')
	echo " `date | cut -d \" \" -f 1-5` -I- Sauvegarde des quotas ${REP}"
	/usr/sbin/repquota -a -u > ${REP_QUOTAS}/${REP}
	;;
'data')
	echo " `date | cut -d \" \" -f 1-5` -I- Sauvegarde des quotas ${REP}"
	/usr/sbin/repquota -a -g  > ${REP_QUOTAS}/${REP}
	;;
*)
	echo " `date | cut -d \" \" -f 1-5` -F- Erreur de parametre $1 (home|data)"
	exit;
esac

echo " `date | cut -d \" \" -f 1-5` -I- Fin de traitement"
exit 0
