#!/usr/bin/ksh
#set -x
#
#=============================================================================
# Nom            :      substhome.ksh
# Projet         :      Substitut /home/user par $HOME
#
# Repertoires    :      script -> /usr/local/bin
#
# Cree le        :      12/03/2002
# Version        :      1.0
# Cree par       :      Jean Philippe BOCQUENET
# Objet          :      Substitut /home/user par $HOME
# Appel(s)       :      commande en ligne
# Environnements :      HP-UX 9.05 10.20
#                :      Solaris 5.3 5.4 5.5 5.5.1 5.6
#                :      SunOs 4.1.3
#                :      Aix 3.x 4.2 4.3
#                :      Irix 5.3
#                :      Linux 2.2 2.4
# Parametre(s)   :      $1=logon $2=UID $3=projet $4=GID $5="NOM Prenom Telephone" $6=Quota
# Codes retour   :      = 0 => OK
#                :      = 1 => KO
#=============================================================================
# Modification(s)
#-----------------------------------------------------------------------------
# JJ/MM/AA - QUI
#       QUOI
# 
#=============================================================================
 
#=============================================================================
# Initialisation des variables utilisees dans le script
# 
# Code retour   : 0 => OK
#               : 1 => KO
#=============================================================================
 
DATE=`date +%Y%m%d`
 

#USER=$1
REP_DIR=/home

#=============================================================================
# Nom du script shell
#=============================================================================
PGM=`basename $0`

#=============================================================================
# Test la presence des variables a l'entree
#=============================================================================
if [ $# -lt 1 ]
then
     echo "\n\t Utilisation:   ${PGM} nom_user"
     echo "\n\t Exemple:       ${PGM} bocquej2"
     exit 1;
fi
 

#=============================================================================
# Substitution de /home/user par la variable d'environnement $HOME
#=============================================================================


for USER in `ls -1 $REP_DIR | egrep -v '.ase|.tags'`
do


	sed 's/\/home\/'${USER}'/$HOME/g' ${USER}/.profile > ${USER}/.profile_tmp

	echo ${USER}

	mv ${USER}/.profile ${USER}/.profile.${DATE}
	mv ${USER}/.profile_tmp ${USER}/.profile

	chown ${USER} ${USER}/.profile

done



